<?php
namespace IMGPLTMain\Classes;

class LoadAssets
{
    public function enqueueAssets()
    {
        if (defined('IMGPLT_DEVELOPMENT') && IMGPLT_DEVELOPMENT === 'yes') {
            //development
            wp_enqueue_script('IMGPLT-script-boot', 'http://localhost:8880/' . 'src/admin/start.js', array('jquery'), IMGPLT_VERSION, true);
        } else {
            //production
            wp_enqueue_script('IMGPLT-script-boot', IMGPLT_URL . 'assets/js/start.js', array('jquery'), IMGPLT_VERSION, false);
            wp_enqueue_style('IMGPLT-global-styling', IMGPLT_URL . 'assets/css/start.css', array(), IMGPLT_VERSION);
        }
    }

}
